diff -c -r ESRA-1.0/Config.generic ESRA-1.1/Config.generic
*** ESRA-1.0/Config.generic	Thu Feb  9 12:53:21 1995
--- ESRA-1.1/Config.generic	Thu Apr 13 09:56:31 1995
***************
*** 194,199 ****
--- 194,202 ----
  #			line if this is defined.
  #
  #	OLD_ENVIRON	Support for the old environment option.
+ #
+ #   BIN_TERM  Use always the terminal settings for binary mode.
+ #             Might be necessary for some chars (e.g. umlauts under X11).
  
  # LIB_OBJ=
  #    This is a list of object files that are needed but are not in
***************
*** 594,600 ****
  			../libtelnet/libtelnet.a ${AUTH_LIBPATH}" \
  		DEST=${DESTDIR}/usr/ucb \
  		DEFINES=${ODEFS}"-DFILIO_H -DTERMCAP -DUSE_TERMIO \
! 			-DKLUDGELINEMODE -DSTREAMS \
  		   -DDEFAULT_IM='\"\r\nSunOS UNIX 4.1 (%h) (%t)\r\n\r\r\n\r\"' \
  			-DDIAGNOSTICS -DENV_HACK -DOLD_ENVIRON ${AUTH_DEF}" \
  		INCLUDES="-I.. ${AUTH_INC}" \
--- 597,603 ----
  			../libtelnet/libtelnet.a ${AUTH_LIBPATH}" \
  		DEST=${DESTDIR}/usr/ucb \
  		DEFINES=${ODEFS}"-DFILIO_H -DTERMCAP -DUSE_TERMIO \
! 			-DKLUDGELINEMODE -DSTREAMS -DBIN_TERM \
  		   -DDEFAULT_IM='\"\r\nSunOS UNIX 4.1 (%h) (%t)\r\n\r\r\n\r\"' \
  			-DDIAGNOSTICS -DENV_HACK -DOLD_ENVIRON ${AUTH_DEF}" \
  		INCLUDES="-I.. ${AUTH_INC}" \
diff -c -r ESRA-1.0/Config.local ESRA-1.1/Config.local
*** ESRA-1.0/Config.local	Wed Feb 22 13:46:51 1995
--- ESRA-1.1/Config.local	Wed Apr 12 13:44:45 1995
***************
*** 196,201 ****
--- 196,204 ----
  #			line if this is defined.
  #
  #	OLD_ENVIRON	Support for the old environment option.
+ #
+ #   BIN_TERM  Use always the terminal settings for binary mode.
+ #             Might be necessary for some chars (e.g. umlauts under X11).
  
  # LIB_OBJ=
  #    This is a list of object files that are needed but are not in
***************
*** 266,272 ****
  	@echo " dynix3.0.12 dynix3.0.17"
  	@echo " ultrix3.1 ultrix4.0 ultrix4.1 ultrix4.3 ultrix4.3.auth"
  	@echo " irix4.0.1"
! 	@echo " hpux8.0"
  	@echo " next1.0"
  	@echo " convex"
  
--- 269,275 ----
  	@echo " dynix3.0.12 dynix3.0.17"
  	@echo " ultrix3.1 ultrix4.0 ultrix4.1 ultrix4.3 ultrix4.3.auth"
  	@echo " irix4.0.1"
! 	@echo " hpux8.0 hpux9.x hpux9.x.auth hpux9.x.encrypt"
  	@echo " next1.0"
  	@echo " convex"
  
***************
*** 587,593 ****
  		LIB_SRC="getent.c strerror.c setenv.c herror.c" \
  		AR=ar ARFLAGS=cq RANLIB=NONE \
  		LIBEXEC=${DESTDIR}/usr/etc/in.telnetd \
! 		CC="/usr/ucb/cc" LCCFLAGS="-g"
  
  sol2.3.auth solaris2.3.auth:
  	@make -f ../Config.local `basename $@ .auth` WHAT=${WHAT} \
--- 590,596 ----
  		LIB_SRC="getent.c strerror.c setenv.c herror.c" \
  		AR=ar ARFLAGS=cq RANLIB=NONE \
  		LIBEXEC=${DESTDIR}/usr/etc/in.telnetd \
! 		CC="/usr/ucb/cc" LCCFLAGS="-O"
  
  sol2.3.auth solaris2.3.auth:
  	@make -f ../Config.local `basename $@ .auth` WHAT=${WHAT} \
***************
*** 793,798 ****
--- 796,834 ----
  		AR=ar ARFLAGS=cq RANLIB=NONE \
  		LIBEXEC=${DESTDIR}/etc \
  		CC="${CC}" LCCFLAGS="-O"
+ 
+ hpux9.x:
+ 	make -f Makefile.generic ${WHAT} \
+ 		LIBS="-ltermcap ../libtelnet/libtelnet.a ${AUTH_LIB}" \
+ 		LIBPATH="/lib/libc.a /usr/lib/libtermcap.a \
+ 				../libtelnet/libtelnet.a \
+ 			${AUTH_LIBPATH}" \
+ 		DEST=${DESTDIR}/usr/bin \
+ 		DEFINES=${ODEFS}"-Dvfork=fork -DUSE_TERMIO \
+ 		    -DDEFAULT_IM='\"\r\n\r\nHP-UX (9.0x) (%h) (%t)\r\n\r\r\n\r\"' \
+ 			-DDIAGNOSTICS -DLOGIN_ARGS \
+ 			${AUTH_DEF}" \
+ 		INCLUDES="-I.. -I/uni/global/include" \
+ 		LIB_OBJ="getent.o setenv.o" \
+ 		LIB_SRC="getent.c setenv.c" \
+ 		AR=ar ARFLAGS=cq RANLIB=NONE \
+ 		LIBEXEC=${DESTDIR}/etc \
+ 		CC="${CC}" LCCFLAGS="-O"
+ 
+ 
+ hpux9.x.encrypt:
+ 	@make -f ../Config.local `basename $@ .encrypt`.auth WHAT=${WHAT} \
+ 		ENC_LIB="/uni/global/lib/libdes.a" \
+ 		ENC_LIBPATH="/uni/global/lib/libdes.a" \
+ 		ENC_INC= \
+ 		ENC_DEF="-DENCRYPT -DDES_ENCRYPTION"
+ 
+ hpux9.x.auth:
+ 	@make -f ../Config.local `basename $@ .auth` WHAT=${WHAT} \
+ 		AUTH_LIB="/uni/global/lib/libmp.a ${ENC_LIB}" \
+ 		AUTH_LIBPATH="${ENC_LIBPATH}" \
+ 		AUTH_INC=${ENC_INC} \
+ 		AUTH_DEF="-DAUTHENTICATION -DSRA ${ENC_DEF}"
  
  next1.0:
  	@echo $@ is untested... it may or may not work..."
Common subdirectories: ESRA-1.0/arpa and ESRA-1.1/arpa
Common subdirectories: ESRA-1.0/libdes and ESRA-1.1/libdes
Common subdirectories: ESRA-1.0/libmp and ESRA-1.1/libmp
Common subdirectories: ESRA-1.0/libtelnet and ESRA-1.1/libtelnet
Common subdirectories: ESRA-1.0/telnet and ESRA-1.1/telnet
Common subdirectories: ESRA-1.0/telnetd and ESRA-1.1/telnetd
Common subdirectories: ESRA-1.0/libmp/tests and ESRA-1.1/libmp/tests
diff -c -r ESRA-1.0/libtelnet/sra.c ESRA-1.1/libtelnet/sra.c
*** ESRA-1.0/libtelnet/sra.c	Tue Feb 21 11:12:41 1995
--- ESRA-1.1/libtelnet/sra.c	Thu Mar 16 18:00:03 1995
***************
*** 20,25 ****
--- 20,27 ----
  #define USE_SHADOW
  #endif
  
+ #include <syslog.h>
+ 
  char pka[HEXKEYBYTES+1], ska[HEXKEYBYTES+1], pkb[HEXKEYBYTES+1];
  char *user,*pass,*xuser,*xpass;
  DesData ck;
***************
*** 188,193 ****
--- 190,196 ----
  			if (auth_debug_mode) {
  				printf("SRA user failed\r\n");
  			}
+ 			syslog(LOG_NOTICE, "SRA_REJECT for %s on %s", user, RemoteHostName);
  		}
  		break;
  
***************
*** 402,408 ****
  }
  
  #include <pwd.h>
- #include <syslog.h>
  #ifdef USE_SHADOW
  #include <shadow.h>
  #endif
--- 405,410 ----
diff -c -r ESRA-1.0/telnet/sys_bsd.c ESRA-1.1/telnet/sys_bsd.c
*** ESRA-1.0/telnet/sys_bsd.c	Mon Feb  7 22:28:59 1994
--- ESRA-1.1/telnet/sys_bsd.c	Wed Apr 12 14:18:07 1995
***************
*** 582,610 ****
--- 582,624 ----
  	onoff = 0;
      } else {
  #ifndef	USE_TERMIO
+ #  ifndef BIN_TERM
  	if (f & MODE_OUTBIN)
+ #  endif
  		lmode |= LLITOUT;
+ #  ifndef BIN_TERM
  	else
  		lmode &= ~LLITOUT;
+ #  endif
  
+ #  ifndef BIN_TERM
  	if (f & MODE_INBIN)
+ #  endif
  		lmode |= LPASS8;
+ #  ifndef BIN_TERM
  	else
  		lmode &= ~LPASS8;
+ #  endif
  #else
+ #  ifndef BIN_TERM
  	if (f & MODE_INBIN)
+ #  endif
  		tmp_tc.c_iflag &= ~ISTRIP;
+ #  ifndef BIN_TERM
  	else
  		tmp_tc.c_iflag |= ISTRIP;
  	if (f & MODE_OUTBIN) {
+ #  endif
  		tmp_tc.c_cflag &= ~(CSIZE|PARENB);
  		tmp_tc.c_cflag |= CS8;
  		tmp_tc.c_oflag &= ~OPOST;
+ #  ifndef BIN_TERM
  	} else {
  		tmp_tc.c_cflag &= ~(CSIZE|PARENB);
  		tmp_tc.c_cflag |= old_tc.c_cflag & (CSIZE|PARENB);
  		tmp_tc.c_oflag |= OPOST;
  	}
+ #  endif
  #endif
  	onoff = 1;
      }
diff -c -r ESRA-1.0/telnetd/sys_term.c ESRA-1.1/telnetd/sys_term.c
*** ESRA-1.0/telnetd/sys_term.c	Tue Mar  7 15:05:26 1995
--- ESRA-1.1/telnetd/sys_term.c	Wed Apr 12 14:04:52 1995
***************
*** 1282,1288 ****
  #endif
  			fatalperror(net, "setsid()");
  	}
! # ifdef	TIOCSCTTY
  	if (ioctl(t, TIOCSCTTY, (char *)0) < 0)
  		fatalperror(net, "ioctl(sctty)");
  #  if defined(CRAY)
--- 1282,1291 ----
  #endif
  			fatalperror(net, "setsid()");
  	}
! /* 
!   TIOCSCTTY does not work on HP-UX, thm
! */
! # if  defined(TIOCSCTTY) && !defined(__hpux)
  	if (ioctl(t, TIOCSCTTY, (char *)0) < 0)
  		fatalperror(net, "ioctl(sctty)");
  #  if defined(CRAY)
***************
*** 1302,1308 ****
--- 1305,1313 ----
  	 * setsid() call above may have set our pgrp, so clear
  	 * it out before opening the tty...
  	 */
+ #  ifndef __hpux   /* thm */
  	(void) setpgrp(0, 0);
+ #  endif
  	close(open(line, O_RDWR));
  # endif
  	if (t != 0)
